package com.yida.data.school.transaction.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum TradeStatusConstant {
    // 支付成功
    success("SUCCESS"),
    // 转入退款
    refund("REFUND"),
    // 未支付
    notpay("NOTPAY"),
    // 已关闭
    closed("CLOSED"),
    //已撤销（付款吗支付）
    revoked("REVOKED"),
    // 用户支付中(付款吗支付)
    userpaying("USERPAYING"),
    // 支付失败(其他原因，如银行返回失败)
    payerror("PAYERROR"),
    // 已接收，等待扣款
    accept("ACCEPT");
    private String value;
}
